Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_LSOCK_Dgram Class Reference

Create a Local ACE_SOCK datagram. More...

`#include <LSOCK_Dgram.h>`

Inheritance diagram for ACE_LSOCK_Dgram:

[legend]
Collaboration diagram for ACE_LSOCK_Dgram:

[legend]
List of all members.

## Public Methods
| ACE_LSOCK_Dgram (void)
| Default constructor. More...
| ACE_LSOCK_Dgram (const ACE_Addr &local, int protocol_family=PF_UNIX, int protocol=0)
| Initiate a local dgram. More...
int | open (const ACE_Addr &local, int protocol_family=PF_UNIX, int protocol=0)
| Initiate a local dgram. More...
ACE_HANDLE | get_handle (void) const
| Get handle. More...
void | set_handle (ACE_HANDLE)
| Set handle. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...

## Detailed Description

Create a Local ACE_SOCK datagram.

## Constructor & Destructor Documentation

ACE_LSOCK_Dgram::ACE_LSOCK_Dgram | ( | void |  | ) |

| Default constructor.

ACE_LSOCK_Dgram::ACE_LSOCK_Dgram | ( | const ACE_Addr & | local,
|  | int | protocol_family = PF_UNIX,
|  | int | protocol = 0
| ) |

| Initiate a local dgram.

## Member Function Documentation

void ACE_LSOCK_Dgram::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_LSOCK.

ASYS_INLINE ACE_HANDLE ACE_LSOCK_Dgram::get_handle | ( | void |  | ) | const

| Get handle. Reimplemented from ACE_LSOCK.

int ACE_LSOCK_Dgram::open | ( | const ACE_Addr & | local,
|  | int | protocol_family = PF_UNIX,
|  | int | protocol = 0
| ) |

| Initiate a local dgram.

ASYS_INLINE void ACE_LSOCK_Dgram::set_handle | ( | ACE_HANDLE | h | ) |

| Set handle. Reimplemented from ACE_LSOCK.

## Member Data Documentation

ACE_LSOCK_Dgram::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_LSOCK.

The documentation for this class was generated from the following files:

- LSOCK_Dgram.h
- LSOCK_Dgram.cpp
- LSOCK_Dgram.i